%define _requires_exceptions devel\\(.*\\)

Summary:        The KDE calendar utility library
Name:           kcalutils
Version: 		23.08.5
Release:        %mkrel 1
License:        GPLv2+
Group:          Graphical desktop/KDE5
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/
BuildRequires: cmake
BuildRequires: lib64grantlee-devel
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5calendarcore-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5identitymanagement-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: qtbase5-common-devel 

%description
The KDE calendar utility library.

%files
%_kf5_datadir

#--------------------------------------------------------------------

%define kf5calendarutils_major 5
%define libkf5calendarutils %mklibname kf5calendarutils %{kf5calendarutils_major}

%package -n %libkf5calendarutils
Summary:      The KDE calendar utility library
Group:        System/Libraries
Requires: %name

%description -n %libkf5calendarutils
The KDE calendar utility library.

%files -n %libkf5calendarutils
%_kf5_libdir/libKPim5CalendarUtils.so.%{kf5calendarutils_major}*
%_kf5_libdir/grantlee/*/kcalendar_grantlee_plugin.so
#--------------------------------------------------------------------

%define kf5calendarutils_devel %mklibname kf5calendarutils -d

%package -n %kf5calendarutils_devel

Summary:        Devel stuff for %name
Group:          Development/Libraries
Requires:       %libkf5calendarutils = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5calendarutils_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5calendarutils_devel
%_includedir
%_kf5_libdir/*.so
%_kf5_libdir/cmake
%_libdir/qt5/mkspecs

#--------------------------------------------------------------------

%prep
%setup -q

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

